package capitulo05.bloque02.coleccionAntiguedades;

public class Escultura extends Antiguedad {
    private String escultor;
    private float altura;
    private String material;

    public Escultura() {
    }

    public Escultura(int anoFabricacion, String origen, float precioVenta, String escultor, float altura, String material) {
        super(anoFabricacion, origen, precioVenta);
        this.escultor = escultor;
        this.altura = altura;
        this.material = material;
    }

    public String getEscultor() {
        return escultor;
    }

    public void setEscultor(String escultor) {
        this.escultor = escultor;
    }

    public float getAltura() {
        return altura;
    }

    public void setAltura(float altura) {
        this.altura = altura;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    @Override
    public String toString() {
        return "Escultura{" +

                "anoFabricacion=" + super.getAnoFabricacion() +
                ", origen='" + super.getOrigen() + '\'' +
                ", precioVenta=" + super.getPrecioVenta() +

                ", escultor='" + escultor + '\'' +
                ", altura=" + altura +
                ", material='" + material + '\'' +
                '}';
    }
}
